Subject: Apparently RFC 3693 is incomplete; was RE: [Geopriv] Re: [Sip] teasing apart: http asa GEOPRIV using protocol

From: "Drage, Keith \(Keith\)" <[email-masked]>
Date: Fri, 28 Jul 2006 18:59:20 +0200

See below (limiting this to Geopriv)

Keith

> -----Original Message-----
> From: Hannes Tschofenig [mailto:[email-masked]] 
> Sent: 27 July 2006 20:27
> To: Henning Schulzrinne
> Cc: IETF SIP List; GEOPRIV
> Subject: Re: [Geopriv] Re: [Sip] teasing apart: http asa 
> GEOPRIV using protocol
> 
<snipped>

> > We've been trying to get at some of these distinctions with the 
> > sighting vs. using protocol terminology, but that distinction also 
> > seems to degenerate into discussions more suited for a law 
> school or 
> > theology department than an engineering organization.
> > 
> > For example, by strict definition, LoST would be a 'Using Protocol' 
> > since it "carries a Location Object", but I hope we all agree that 
> > this is silly. We had earlier agreed that the location-by-DHCP also 
> > were not Using Protocol, even though they obviously carry a 
> location 
> > object of some form.
> 
> Currently LoST is not a using protocol since it does not 
> carry a PIDF-LO although some folks would like to use a 
> PIDF-LO; HELD was a using protocol before we turned the 
> problem into a Location Configuration problem; RELO never was 
> a using protocol;
> 
> Isn't this confusing?
> 

OK, I'11 bite.

Firstly I read the definition of a using protocol in RFC 3693 to be
anything that carries a location object. PIDF-LO is just a coding scheme
for said location object. So the current definition still applies to
LoST.

Now what specific change do you need to make to RFC 3693 that covers
your apparently special categorisation of DHCP (RFC 3825), LoST and so
on such that they are not using protocols?

And if so what are they and what requirements actually apply to them,
particularly in respect of location privacy?

<snipped>

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv